We are in the process of migrating this forum. A new space will be available soon. We are sorry for the inconvenience.

PHP 5.2 Installieren So gehts!


f.schütze
07.06.10, 22:38
Erstmal danke für das Tutorial!
Hab die Anleitung nicht getestet, aber du solltest noch ein paar Sachen ergänzen:
1. OS angeben
2. Zeile 6 und 51, die man löschen soll, ausschreiben. Muss ja nicht bei jedem genau in der Zeile sein...

Gruß

daglobe
07.06.10, 22:35
ACHTUNG: ES KANN DAZU KOMMEN DAS PLESK NICHT MEHR FUNKTIONIERT IST BEI MIR NICHT DER FALL KANN ABER BEI MANCHEN SEIN. ICH GARANTIERE NICHT DAS DIES FUNKTIONIERT!
Hallo Zusammen

endlich habe ich es geschafft php zu installieren aktuelle version 5.2.13
----------
Mein System:
Isgenug KS Server q-1t
CentOS 5
Paralells Plesk 5
-----------
1.Atomic installer installieren


Code:
wget -q -O - http://www.atomicorp.com/installers/atomic.sh | sh
2.Upgrade suchen


Code:
yum upgrade
Danach natürlich zustimmen mit y damit der das auch installiert
3.Restart the webserver


Code:
/etc/init.d/httpd restart
Nun kann es sein das ihr eine Fehler bekommt:
Code:
[root@php ~]# /etc/init.d/httpd restart
httpd beenden:                                             [FEHLGESCHLAGEN]
httpd starten: httpd: Syntax error on line 210 of /etc/httpd/conf/httpd.conf: Sy
ntax error on line 51 of /etc/httpd/conf.d/zzz_atmail_vhost.conf: Include direct
ory '/etc/psa/webmail/atmail/conf.d' not found
                                                           [FEHLGESCHLAGEN]
nun einfach in den ordner /etc/httpd/conf.d/xxx_atmail_vhost.conf und diese datei editieren(ob per ssh oder dreamweaver ich habs heruntergeladen und ne kopie erstellt) dann einfach linie 6 und 51
Code:
Include /etc/psa/webmail/atmail/conf.d/*
löschen und danach httpd neustarten mit dem befehl
Code:
/etc/init.d/httpd restart
PHP version prüfen
Code:
php -v
es gibt sicherlich noch andere lösungen da ich aber auf atmail nicht angewiesen bin habe ich es so gelöst...

ACHTUNG: ES KANN DAZU KOMMEN DAS PLESK NICHT MEHR FUNKTIONIERT IST BEI MIR NICHT DER FALL KANN ABER BEI MANCHEN SEIN. ICH GARANTIERE NICHT DAS DIES FUNKTIONIERT!